import * as ambassadorWixBlogV3DraftTypes from './blog-v3-draft-draft-posts.types.js';
import * as ambassadorWixBlogV3DraftUniversalTypes from './blog-v3-draft-draft-posts.universal.js';
export type __PublicMethodMetaInfo<K = string, M = unknown, T = unknown, S = unknown, Q = unknown, R = unknown> = {
    getUrl: (context: any) => string;
    httpMethod: K;
    path: string;
    pathParams: M;
    __requestType: T;
    __originalRequestType: S;
    __responseType: Q;
    __originalResponseType: R;
};
export declare function createDraftPost(): __PublicMethodMetaInfo<'POST', {}, ambassadorWixBlogV3DraftUniversalTypes.CreateDraftPostRequest, ambassadorWixBlogV3DraftTypes.CreateDraftPostRequest, ambassadorWixBlogV3DraftUniversalTypes.CreateDraftPostResponse, ambassadorWixBlogV3DraftTypes.CreateDraftPostResponse>;
export declare function bulkCreateDraftPosts(): __PublicMethodMetaInfo<'POST', {}, ambassadorWixBlogV3DraftUniversalTypes.BulkCreateDraftPostsRequest, ambassadorWixBlogV3DraftTypes.BulkCreateDraftPostsRequest, ambassadorWixBlogV3DraftUniversalTypes.BulkCreateDraftPostsResponse, ambassadorWixBlogV3DraftTypes.BulkCreateDraftPostsResponse>;
export declare function bulkUpdateDraftPosts(): __PublicMethodMetaInfo<'PATCH', {}, ambassadorWixBlogV3DraftUniversalTypes.BulkUpdateDraftPostsRequest, ambassadorWixBlogV3DraftTypes.BulkUpdateDraftPostsRequest, ambassadorWixBlogV3DraftUniversalTypes.BulkUpdateDraftPostsResponse, ambassadorWixBlogV3DraftTypes.BulkUpdateDraftPostsResponse>;
export declare function listDeletedDraftPosts(): __PublicMethodMetaInfo<'GET', {}, ambassadorWixBlogV3DraftUniversalTypes.ListDeletedDraftPostsRequest, ambassadorWixBlogV3DraftTypes.ListDeletedDraftPostsRequest, ambassadorWixBlogV3DraftUniversalTypes.ListDeletedDraftPostsResponse, ambassadorWixBlogV3DraftTypes.ListDeletedDraftPostsResponse>;
export declare function getDraftPost(): __PublicMethodMetaInfo<'GET', {
    draftPostId: string;
}, ambassadorWixBlogV3DraftUniversalTypes.GetDraftPostRequest, ambassadorWixBlogV3DraftTypes.GetDraftPostRequest, ambassadorWixBlogV3DraftUniversalTypes.GetDraftPostResponse, ambassadorWixBlogV3DraftTypes.GetDraftPostResponse>;
export declare function updateDraftPost(): __PublicMethodMetaInfo<'PATCH', {
    draftPostId: string;
}, ambassadorWixBlogV3DraftUniversalTypes.UpdateDraftPostRequest, ambassadorWixBlogV3DraftTypes.UpdateDraftPostRequest, ambassadorWixBlogV3DraftUniversalTypes.UpdateDraftPostResponse, ambassadorWixBlogV3DraftTypes.UpdateDraftPostResponse>;
export declare function deleteDraftPost(): __PublicMethodMetaInfo<'DELETE', {
    draftPostId: string;
}, ambassadorWixBlogV3DraftUniversalTypes.DeleteDraftPostRequest, ambassadorWixBlogV3DraftTypes.DeleteDraftPostRequest, ambassadorWixBlogV3DraftUniversalTypes.DeleteDraftPostResponse, ambassadorWixBlogV3DraftTypes.DeleteDraftPostResponse>;
export declare function removeFromTrashBin(): __PublicMethodMetaInfo<'DELETE', {
    draftPostId: string;
}, ambassadorWixBlogV3DraftUniversalTypes.RemoveFromTrashBinRequest, ambassadorWixBlogV3DraftTypes.RemoveFromTrashBinRequest, ambassadorWixBlogV3DraftUniversalTypes.RemoveFromTrashBinResponse, ambassadorWixBlogV3DraftTypes.RemoveFromTrashBinResponse>;
export declare function bulkDeleteDraftPosts(): __PublicMethodMetaInfo<'DELETE', {}, ambassadorWixBlogV3DraftUniversalTypes.BulkDeleteDraftPostsRequest, ambassadorWixBlogV3DraftTypes.BulkDeleteDraftPostsRequest, ambassadorWixBlogV3DraftUniversalTypes.BulkDeleteDraftPostsResponse, ambassadorWixBlogV3DraftTypes.BulkDeleteDraftPostsResponse>;
export declare function listDraftPosts(): __PublicMethodMetaInfo<'GET', {}, ambassadorWixBlogV3DraftUniversalTypes.ListDraftPostsRequest, ambassadorWixBlogV3DraftTypes.ListDraftPostsRequest, ambassadorWixBlogV3DraftUniversalTypes.ListDraftPostsResponse, ambassadorWixBlogV3DraftTypes.ListDraftPostsResponse>;
export declare function getDeletedDraftPost(): __PublicMethodMetaInfo<'GET', {
    draftPostId: string;
}, ambassadorWixBlogV3DraftUniversalTypes.GetDeletedDraftPostRequest, ambassadorWixBlogV3DraftTypes.GetDeletedDraftPostRequest, ambassadorWixBlogV3DraftUniversalTypes.GetDeletedDraftPostResponse, ambassadorWixBlogV3DraftTypes.GetDeletedDraftPostResponse>;
export declare function restoreFromTrashBin(): __PublicMethodMetaInfo<'POST', {
    draftPostId: string;
}, ambassadorWixBlogV3DraftUniversalTypes.RestoreFromTrashBinRequest, ambassadorWixBlogV3DraftTypes.RestoreFromTrashBinRequest, ambassadorWixBlogV3DraftUniversalTypes.RestoreFromTrashBinResponse, ambassadorWixBlogV3DraftTypes.RestoreFromTrashBinResponse>;
export declare function queryDraftPosts(): __PublicMethodMetaInfo<'POST', {}, ambassadorWixBlogV3DraftUniversalTypes.QueryDraftPostsRequest, ambassadorWixBlogV3DraftTypes.QueryDraftPostsRequest, ambassadorWixBlogV3DraftUniversalTypes.QueryDraftPostsResponse, ambassadorWixBlogV3DraftTypes.QueryDraftPostsResponse>;
export declare function publishDraftPost(): __PublicMethodMetaInfo<'POST', {
    draftPostId: string;
}, ambassadorWixBlogV3DraftUniversalTypes.PublishDraftPostRequest, ambassadorWixBlogV3DraftTypes.PublishDraftPostRequest, ambassadorWixBlogV3DraftUniversalTypes.PublishDraftPostResponse, ambassadorWixBlogV3DraftTypes.PublishDraftPostResponse>;
